#include <cassert>

#include <cmath>

#include "compute_state_ruina.hh"

double state_update_ruina(double tau, double uol, double logState_o) {
  if (uol == 0)
    return logState_o;

  double const ret = logState_o - uol * std::log(uol / tau);
  return ret / (1 + uol);
}
