#include <dune/common/exceptions.hh>

#include "enums.hh"

template <> struct StringToEnum<Config::stateModel> {
  static Config::stateModel convert(std::string const &s) {
    if (s == "Dieterich")
      return Config::Dieterich;

    if (s == "Ruina")
      return Config::Ruina;

    DUNE_THROW(Dune::Exception, "failed to parse enum");
  }
};
